- updated to 0.24 auto/th/efivar-0.24-1
authorJakub Bogusz <qboosh@pld-linux.org>
Thu, 4 Aug 2016 18:26:30 +0000 (20:26 +0200)
committerJakub Bogusz <qboosh@pld-linux.org>
Thu, 4 Aug 2016 18:26:30 +0000 (20:26 +0200)
- removed obsolete build patch

efivar-build.patch [deleted file]
efivar.spec

diff --git a/efivar-build.patch b/efivar-build.patch
deleted file mode 100644 (file)
index f3c2780..0000000
+++ /dev/null
@@ -1,25 +0,0 @@
---- efivar-0.23/src/linux.c.orig       2016-06-23 20:56:40.006600643 +0200
-+++ efivar-0.23/src/linux.c    2016-06-23 20:56:49.526548896 +0200
-@@ -22,7 +22,12 @@
- #include <inttypes.h>
- #include <limits.h>
- #include <linux/ethtool.h>
-+#include <linux/version.h>
-+#if LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 0)
-+#include <linux/nvme_ioctl.h>
-+#else
- #include <linux/nvme.h>
-+#endif
- #include <linux/sockios.h>
- #include <net/if.h>
- #include <scsi/scsi.h>
---- efivar-0.23/src/Makefile.orig      2016-06-23 21:04:59.510561274 +0200
-+++ efivar-0.23/src/Makefile   2016-06-23 21:08:25.262779936 +0200
-@@ -60,6 +60,7 @@
- libefiboot.a : $(patsubst %.o,%.static.o,$(LIBEFIBOOT_OBJECTS))
- libefiboot.so : $(LIBEFIBOOT_OBJECTS)
-+libefiboot.so : LIBS=efivar
- deps :: $(ALL_SOURCES)
-       $(MAKE) -f $(SRCDIR)/Make.deps deps SOURCES="$(ALL_SOURCES)"
index dbfae48..73ea546 100644 (file)
@@ -6,15 +6,14 @@
 Summary:       Tools to manage UEFI variables
 Summary(pl.UTF-8):     Narzędzia do zarządzania zmiennymi UEFI
 Name:          efivar
-Version:       0.23
+Version:       0.24
 Release:       1
 License:       LGPL v2.1
 Group:         Applications/System
 #Source0Download: https://github.com/rhinstaller/efivar/releases
 Source0:       https://github.com/rhinstaller/efivar/releases/download/%{version}/%{name}-%{version}.tar.bz2
-# Source0-md5: bff7aa95fdb2f5d79f4aa9721dca2bbd
-Patch0:                %{name}-build.patch
-Patch1:                %{name}-static.patch
+# Source0-md5: 38b6912e870e8a735e3a488e8e62d348
+Patch0:                %{name}-static.patch
 URL:           https://github.com/rhinstaller/efivar
 BuildRequires: linux-libc-headers >= 7:3.3
 BuildRequires: popt-devel
@@ -72,7 +71,6 @@ Statyczna biblioteka efivar.
 %prep
 %setup -q
 %patch0 -p1
-%patch1 -p1
 
 %build
 %{__make} -j1 \
This page took 0.335667 seconds and 4 git commands to generate.